#Словари могут вводиться в фигурных скобках
s = {'число': 24, 'надпись': 'inscription'}
print(s['число'])

#.keys и .values возвращают итерируемые объекты. Для получения списков нужно использовать list()
print(list(s.keys()), s.values())

#Могут при помощи dict.
d = dict(lazy="q", hardworking="Greetings")
print(d['lazy'])

#Могут при помощи dictfromkeys. При этом всем ключам присваивается одно значение. Его можно и не указывать
f = dict.fromkeys(['a', 'b', 'c'], 1)
print(f)

#D = dict(zip(keyslist, valslist))
var_zip = dict(zip(['food', 'tool'], ['spam', 'wrench']))
print(var_zip)

#Генератор словарей
D = {k: v for (k, v) in zip(['food', 'tool'], ['SPAM', 'WRENCH'])}
print(D)

#in позволяет проверить наличие ключа в словаре
if not 'd' in f:
	print('В словаре f нет элемента с ключём d')

#get возвращает элемент словаря, а если его нет - указанное значение
print(f.get('x', 20))